shibsp::DOMPropertySet::STLRemapper Class Reference

Concrete remapper that relies on an STL map. More...

`#include <shibsp/util/DOMPropertySet.h>`

Inheritance diagram for shibsp::DOMPropertySet::STLRemapper:
[legend]
Collaboration diagram for shibsp::DOMPropertySet::STLRemapper:
[legend]

## Public Member Functions

| STLRemapper (const std::map< std::string, std::string > &rules)
| Constructor.
const char * | remap (const char *src, xmltooling::logging::Category &log) const
| Remap a name (or return it unchanged).
Public Member Functions inherited from shibsp::DOMPropertySet::Remapper
virtual | ~Remapper ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from shibsp::DOMPropertySet::Remapper
| Remapper ()
| Constructor.

## Detailed Description

Concrete remapper that relies on an STL map.

## Constructor & Destructor Documentation

## STLRemapper()

shibsp::DOMPropertySet::STLRemapper::STLRemapper | ( | const std::map< std::string, std::string > & | rules | ) |

Constructor.

Parameters

  rules | remapping rules

## Member Function Documentation

## remap()

const char * shibsp::DOMPropertySet::STLRemapper::remap | ( | const char * | src,
|  | xmltooling::logging::Category & | log ) const

virtual

Remap a name (or return it unchanged).

Parameters

  src | original name
  log | logger to use

Returns
  the name to use

Implements shibsp::DOMPropertySet::Remapper.

The documentation for this class was generated from the following file:

- shibsp/util/DOMPropertySet.h